Name:           gpx-viewer
Version:        0.2.0
Release:        3%{?dist}
Summary:        A simple gpx viewer

Group:          Applications/Internet
License:        GPLv2+
URL:            https://edge.launchpad.net/gpx-viewer
Source0:        http://edge.launchpad.net/gpx-viewer/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  libchamplain-devel
BuildRequires:  libchamplain-gtk-devel
BuildRequires:  vala-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgdl-devel
BuildRequires:  unique-devel

BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       hicolor-icon-theme


%description
GPX Viewer is a simple program to visualize a gpx file. It has no
intention to become a full blown manager, editor or analyzer.


%prep
%setup -q
%patch0 -p1 -b .configure


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Mon Oct  4 2010 Bill Nottingham <notting@redhat.com> - 0.2.0-3
- Fix build
- drop mesa-drivers-dri-experimental buildreq

* Mon Sep 06 2010 Fabian Affolter <fabian@bernewireless.net> -0.2.0-2
- Patch for configure is still needed

* Mon Sep 06 2010 Fabian Affolter <fabian@bernewireless.net> -0.2.0-1
- Changed URL to new project home
- Added new BRs
- Patches removed
- Updated to new upstream version 0.2.0

* Fri Jul 09 2010 Fabian Affolter <fabian@bernewireless.net> -0.1.2-3
- Rebuild for libchamplain

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> -0.1.2-2
- Added patch to fix DSOLinking (#565157)

* Wed Nov 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-1
- Updated to new upstream version 0.1.2

* Sat Oct 10 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-2
- Added patches to make it work with new libchamplain

* Wed Sep 09 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-1
- Updated to new upstream version 0.1.1

* Fri Aug 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Updated source URL
- Updated to new upstream version 0.1.0

* Thu Aug 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-2
- Fixed BR

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-1
- Updated to new upstream version 0.0.7

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.5-1
- Initial spec for Fedora
